#
# spec file for package twinkle (Version 1.4.2)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           twinkle
# BR's in openSUSE:
BuildRequires:  bison boost-devel file-devel kdelibs3-devel libsndfile-devel qt3-devel-tools readline-devel xorg-x11-devel
# BR's in network:telephony
BuildRequires:  libzrtpcpp-devel speex-devel
Requires:       licenses
Summary:        A SIP Soft Phone
Version:        1.4.2
Release:        2.1
License:        GPLv2+
Group:          Productivity/Telephony/SIP/Clients
Source:         %{name}-%{version}.tar.bz2
Patch0:         twinkle-nonvoid.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://www.twinklephone.com

%description
Twinkle is a SIP-based soft phone for making telephone calls over IP
networks.

Authors:
--------
    Michel de Boer <michel@twinklephone.com>

%prep
%setup -q
%patch0

%build
autoreconf -fi
%suse_update_libdir configure
export QTDIR=%_libdir/qt3
export CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" 
%configure \
        --without-arts --with-qt-libraries=%{_libdir}/qt3/%{_lib}
make

%install
%makeinstall
install -d 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 src/gui/images/twinkle48.png %{buildroot}%{_datadir}/pixmaps/twinkle.png
%suse_update_desktop_file -c twinkle Twinkle "SIP VoIP Phone" twinkle twinkle Network Telephony 
rm COPYING
ln -s /usr/share/doc/licenses/GPL-2.0.txt COPYING

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/twinkle.png
%{_datadir}/applications/twinkle.desktop

%changelog
* Mon Mar  8 2010 ro@suse.de
- fix compiler warning about no-return-in-nonvoid-function
* Thu Feb 26 2009 rbos@opensuse.org
- Integration with Diamondcard Worldwide Communication Service
  (worldwide calls to regular and cell phones and SMS).
- Show number of calls and total call duration in call history.
- Show message size while typing an instant message.
- Show "referred by" party for an incoming transferred call in systray popup.
- Option to allow call transfer while consultation call is still in progress.
- Improved lock file checking. No more stale lock files.
- Opening an IM attachment did not work anymore.
- Link with ncurses library
* Sat Jan 31 2009 rbos@opensuse.org
  * Update to 1.4.1
  * No sound when Twinkle is compiled without speex support.
  * Compiling without KDE sometimes failed (cannot find -lqt-mt).
  * Configure script did not correctly check for the readline-devel package.
  * The twinkle-return.patch is no longer needed, the patch is part of
  twinkle itself now.
* Mon Jan 26 2009 rbos@opensuse.org
  * Update to 1.4
  * Service route discovery during registration.
  * Codec preprocessing: automatic gain control, voice activation detection,
  noise reduction, acoustic echo cancellation (experimental).
  * Support tel-URI as destination address for a call or instant message.
  * User profile option to expand a telephone number to a tel-URI instead
  of a sip-URI.
  * Add descending q-value to contacts in 3XX responses for the redirection
  services.
  * AKAv1-MD5 authentication.
  * Command line editing, history, auto-completion.
  * Ignore wrong formatted domain-parameter in digest challenge.
  * Match tel-URI in incoming call to address book.
  * Determine RTP IP address for SDP answer from RTP IP address in SDP offer.
  * Show context menu's when pressing the right mouse button instead of
  after clicking.
  * Swedish translation
  * Resampled ringback tone from 8287 Hz to 8000 Hz
  * Text line edit in the message form looses focus after sending an IM.
  * Twinkle does not escape reserved symbols when dialing.
  * Deregister all function causes a crash.
  * Twinkle crashes at startup in CLI mode.
  * Twinkle may freeze when an ALSA error is detected when starting
  the ringback tone and the outgoing call gets answered very fast.
  * User profile editor did not allow spaces in a user name.
  RFC 3608 - Session Initiation Protocol (SIP) Extension Header Field
    for Service Route Discovery During Registration
* Tue Sep  9 2008 hvogel@suse.de
- Update to 1.3.2
  * gcc 4.3 fixes
  * Disable file attachment button in message window when destination
    address is not filled in
  * Updated russian translation
  * Send file attachment with instant message.
  * Show timestamp with instant messages.
  * Instant message composition indication (RFC 3994).
  * Persistent TCP connections with keep alive.
  * Do not try to send SIP messages larger than 64K via UDP.
  * Xsession support to restore Twinkle after system shutdown/startup.
  * Call snd_pcm_state to determine jitter buffer exhaustion (some ALSA
    implementations gave problems with the old method).
  * SDP parser allows SDP body without terminating CRLF.
  * SIP parser did not allow white space between header name and colon.
  * With "send in-dialog requests to proxy" enabled and transport
    mode set to "auto", in-dialog requests are wrongly sent via TCP.
  * Crash when a too large message is received.
  * Comparison of authentication parameters (e.g. algorithm) were case-sensitive.
    These comparisons must be case-insensitive.
  * SDP parser could not parse other media transports than RTP/AVP.
  * Twinkle sent 415 response instead of 200 OK on in-dialog INFO without body.
  * Twinkle responds with 513 Message too large on an incoming call.
  * ICMP error on STUN request causes Twinkle to crash.
  * Add received-parameter to Via header of an incoming request if it contains
    an empty rport parameter (RFC 3581)
  * Twinkle did not add Contact header and copy Record-Route header
    to 180 response.
* Tue May  6 2008 aj@suse.de
- Add missing return values.
* Wed Mar 12 2008 crrodriguez@suse.de
- update to version 1.2 [bnc#370032]
  SIP over TCP
- Automatic selection of IP address.
  * On a multi-homed machine you do not have to select an IP address/NIC
    anymore.
  * You can now start Twinkle when the network interface is down.
- Support for sending a q-value in a registration contact.
- Send DTMF on an early media stream.
- Choose auth over auth-int qop when server supports both for authentication.
  This avoids problems with SIP ALGs.
- Support tel-URI in From and To headers in incoming SIP messages.
- Print a log rotation message at end of log when a log file is full.
- Remove 20 character limit on profile names.
- Reject an incoming MESSAGE with 603 if max. sessions == 0
- Delivery notification when a 202 response is received on a MESSAGE.
* Fri Jan 18 2008 coolo@suse.de
- adding bison to buildrequires
* Thu Nov  8 2007 coolo@suse.de
- fix linking too
* Thu Nov  1 2007 coolo@suse.de
- fix compile, leaving the linking error to the experts
* Tue Oct 23 2007 mskibbe@suse.de
- Bug 327023 - twinkle-1.1-24.src.rpm. Translations broken.
  [was:Obsolete patches and german language file not up to date]
  o build with qt3 packages instead of qt4
* Tue Oct  9 2007 mskibbe@suse.de
- Bug 327023 - twinkle-1.1-24.src.rpm. Translations broken.
  [was:Obsolete patches and german language file not up to date]
* Fri Sep 28 2007 mskibbe@suse.de
- Bug 327023 - factory twinkle-1.1-20.src.rpm. Obsolete patches and
  german language file not up to date
* Thu Aug  2 2007 mskibbe@suse.de
- Update Twinkle (#296638)
- update to version 1.1 which includes
  o French translation
  o Instant Messaging
  o a lot of bugfixes
* Thu Mar 22 2007 mskibbe@suse.de
- add ilbc support by requirering the ilbc package
* Thu Feb 22 2007 mskibbe@suse.de
- add zrtp support
* Thu Feb 15 2007 mskibbe@suse.de
- update to version 1.0 which includes
  o Local address book
  o Message waiting indication (MWI)
  o Voice mail speed dial
  o Call transfer with consultation
  o Attended call transfer
  o User identity hiding
  o Multi language support
  o Send BYE when a CANCEL/2XX INVITE glare occurs.
  o When call release was not immediate due to network problems or protocol errors,
    the line would be locked for some time. Now Twinkle releases a call in the
    background immediately freeing the line for new calls.
  o Escape reserved symbols in a URI by their hex-notation (%%hex).
  o Changed key binding for Bye from F7 to ESC
  o When a lock file exists at startup, Twinkle asks if you want to override it
  o New command line options: --force, --sip-port, --rtp-port
  o Ring tone and speaker device list now also shows playback only devices
  o Microphone device list now also shows capture only devices
  o Validate audio device settings on startup, before making a call, before
    answering a call.
  o SIP_FROM_USER, SIP_FROM_HOST, SIP_TO_USER, SIP_TO_HOST variables for call scripts.
  o display_msg parameter added to incoming call script
  o User profile options to indicate which codec preference to follow
  o Twinkle now asks permission for an incoming REFER asynchronously. This
    prevents blocking of the transaction layer.
  o Highlight missed calls in call history
  o Support for G.726 ATM AAL2 codeword packing
  o replaces SIP extension (RFC 3891)
  o norefesub SIP extension (RFC 4488)
  o SIP parser supports IPv6 addresses in SIP URI's and Via headers
  o Support mid-call change of SSRC
  o Handling of SIGCHLD, SIGTERM and SIGINT on platforms implementing
    LinuxThreads instead of NPTL threading (e.g. sparc)
* Mon Jan 15 2007 mskibbe@suse.de
- Twinkle crashes once in a while (#229813)
- Twinkle: DTMF gets disabled (#229814)
- Twinkle: To/From/Subject labels are not cleared (#229816)
* Thu Oct 12 2006 mskibbe@suse.de
- update to version 0.9 which
  o Supports ZRTP and SRTP for secure voice communication
  o includes DTMF via SIP INFO
  o includes G.726 codec (16, 24, 32 and 48 kbps modes)
  o includes Option to hide display
  o Switch lines from system tray menu
  o Answer or reject a call from the KDE systray popup on incoming
    call
  o a lot of bugfixes
* Mon Jul 17 2006 mskibbe@suse.de
- fix compiler warnings (newline at end of line problem)
- work arround for bug #187369 "missing return statement"
* Fri Jul 14 2006 mskibbe@suse.de
- update to version 0.8.1 which
  o Removed iLBC source code
  o fix some bugs
  o Added missing includes to userprofile.ui and addressfinder.h
  o Configure has new --without-speex option
* Thu May 18 2006 hvogel@suse.de
- update to version 0.7.1
  * UTF-8 support to properly display non-ASCII characters
  * Speex support (narrow, wide and ultra wide band)
  * Support for dynamic payload numbers for audio codecs in SDP
  * New SIP protocol option: allow SDP change in INVITE responses
* Fri Jan 27 2006 hvogel@suse.de
- export QTDIR
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 hvogel@suse.de
- update to version 0.5
* Thu Oct 27 2005 kkaempf@suse.de
- needs commoncpp2 for build now.
* Tue Oct 25 2005 hvogel@suse.de
- update to version 0.3.2
* Mon Aug  1 2005 mmj@suse.de
- update to 0.2.1 [#83902]
* Mon May 30 2005 ro@suse.de
- rework neededforbuild
* Wed May 25 2005 hvogel@suse.de
- Initial package, Version 0.1
